Skip to main content
GET
/
v1
/
voiceai
/
tools
/
{tool_id}
/
dependent-agents
Get Dependent Agents List
curl --request GET \
  --url https://api.example.com/v1/voiceai/tools/{tool_id}/dependent-agents \
  --header 'x-api-key: <api-key>'
{
  "agents": [
    "<unknown>"
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Path Parameters

tool_id
string
required

ID of the requested tool.

Query Parameters

cursor
string | null

Used for fetching next page. Cursor is returned in the response.

page_size
integer
default:30

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100

Response

Successful Response

Response model for listing agents that depend on a tool

agents
any[]
required

List of dependent agents

has_more
boolean
required

Whether there are more results

next_cursor
string | null

Cursor for fetching next page